Skip to main content

Get Entitlement Events

GET 

/inventory/v1/entitlement-event

Get entitlement events for a player. If no player is provided, all events will be returned.

Required Permissions:

  • For any player (including themselves) any of: inv:*, inv:entitlement_event:read

Request

Query Parameters

    player_uuid any

    Player to get entitlement events for

    player_id anydeprecated

    Player to get entitlement events for. Will be ignored if player_uuid is provided

    cursor any

    Cursor for pagination

Responses

Successful Response

Schema

    events

    object[]

    required

    The list of events

  • Array [

  • event_id Event Id (string)required

    The unique identifier for the event

    action_type EntitlementActionType (string)required

    Possible values: [grant, refund, chargeback, chargeback_reversal]

    The type of the event

    entitlement_type

    object

    The type of entitlement when the event occurred

    anyOf

    The method of granting a Platform Entitlement SKU

    string

    Possible values: [consumable, durable, durable_single_use]

    status EntitlementEventStatus (string)required

    Possible values: [success, sku_not_found, not_implemented, player_not_found, ban_failed]

    The status of the event

    player_uuid

    object

    required

    The player UUID for the event

    anyOf

    string

    player_id

    object

    deprecated

    The player ID for the event

    anyOf

    integer

    platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    The platform for the event

    platform_user_id Platform User Id (string)required

    Possible values: <= 2048 characters

    The platform user ID for the event

    sku Sku (string)required

    Possible values: <= 2048 characters

    The SKU for the event

    quantity Quantity (integer)required

    The quantity for the event

    platform_transaction_id

    object

    The external transaction ID for the event

    anyOf

    string

    Possible values: <= 4096 characters

    platform_data

    object

    The platform specific data for the event

    anyOf

    object

    order_id

    object

    The order ID for the event

    anyOf

    string

    loot_id

    object

    The loot ID for the event

    anyOf

    integer

    key_claim_uuid

    object

    The portal user key claim id

    anyOf

    string

    created date-timerequired

    The timestamp for the event

    last_modified date-timerequired

    The timestamp for the event

  • ]

  • cursor

    object

    The cursor for the next page of events

    anyOf

    string

Loading...